Subject: gitignore: how to exclude a directory tree from being ignored

From: Peter <[email-masked]>
Date: Thu, 01 Oct 2009 13:07:11 +0200

Hi
I want to exclude binaries except in a dir tree that I do not control.

In .gitignore  I have:

!vendor/
*.exe
*.o

I would expect that all *.exe and *.o are ignored except those somewhere 
in the vendor dir tree.
However, the *.exe and *.o in the vendor dir tree are also ignored.

What is wrong ?
Thanks for you help
P